citadel-core/scripts/stop
Aaron Dewes 4b8c42bedd
Citadel 0.0.2 (#17)
* Start working on Fulcrum support

* More work on fulcrum/electrs switching

* Some fixes

* Update FulcrumX

* Some fixes

* Some FulcrumX fixes

* Fixes for apps which use the host network

* More fixes for host mode apps

* Stop installed apps during update

* More work on service managment

* Update docker-compose

* Update FulcrumX

* Fix update channel script

* Update manager to 0.0.6

* add network settings for new UI (development)

* set DEVICE_HOSTNAME env var

* clean up println statements

* build: don't run manager & middleware as root

* build: update core images

* Update some containers

* Improve app manager wrapper script

* Fix stop script

* Add WIP release notes for 0.0.2

* More improvements to the app CLI

* More information for c-lightning users

* Update dashboard to 0.0.9

* Start cleaning the ports list

* More cleanups to the reserved ports list

* fix: update lightning container name

* Update manager

Co-authored-by: Philipp Walter <philippwalter@pm.me>
2022-03-20 09:02:30 +01:00

41 lines
888 B
Bash
Executable File

#!/usr/bin/env bash
# SPDX-FileCopyrightText: 2020 Umbrel. https://getumbrel.com
# SPDX-FileCopyrightText: 2021-2022 Citadel and contributors
#
# SPDX-License-Identifier: GPL-3.0-or-later
set -euo pipefail
# Stop Citadel
if [[ $UID != 0 ]]; then
echo "Citadel must be stopped as root"
echo "Please re-run this script as"
echo " sudo ./scripts/stop"
exit 1
fi
CITADEL_ROOT="$(dirname $(readlink -f "${BASH_SOURCE[0]}"))/.."
if [[ ! -d "$CITADEL_ROOT" ]]; then
echo "Root dir does not exist '$CITADEL_ROOT'"
exit 1
fi
cd "$CITADEL_ROOT"
# Increase default Docker and Compose timeouts to 240s
# As bitcoin can take a long while to respond
export DOCKER_CLIENT_TIMEOUT=240
export COMPOSE_HTTP_TIMEOUT=240
echo "Stopping installed apps..."
echo
"${CITADEL_ROOT}/app/app-manager.py" stop installed
echo
echo "Stopping Docker services..."
echo
docker compose down